Alladdin

Work in progress

Site en construction

الموقع قيد الإنشاء

Alladdin
GET

List webhooks

Scope: developers:webhooks.read https://api.alladdin.com/api/v2/webhooks

Returns a paginated list of webhooks for the account.

Parameters

Query parameters

cursor string optional

Opaque cursor for pagination

limit integer optional = 50

Maximum number of webhooks to return per page. Defaults to 50, maximum 200.

Request

python
import requests

url = "https://api.alladdin.com/api/v2/webhooks?cursor=value&limit=50"
headers = {
    "Authorization": "Bearer YOUR_API_KEY",
    "Accept": "application/json",
}

response = requests.get(url, headers=headers)
print(response.json())

Responses

Response

json
{
  "items": [
    {
      "id": "507f1f77bcf86cd799439011",
      "url": "https://example.com/webhook",
      "events": [
        "invoice.create",
        "invoice.update"
      ],
      "version": "v1",
      "description": "My webhook",
      "enabled": true,
      "created_at": "2026-01-15T10:30:00+00:00",
      "updated_at": "2026-01-15T10:30:00+00:00"
    }
  ],
  "cursor": "string",
  "has_more": false
}

Success responses

200 List of webhooks application/json object items[] object[] id string url string<uri> events[] string[] version string description string enabled boolean created_at string<date-time> updated_at string<date-time> | null cursor string | null has_more boolean

Error responses

401 Invalid or missing API key application/json 403 Insufficient permissions application/json 429 Rate limit exceeded application/json

← PreviousUpdate a webhook →

Next →Get a webhook →